## Documentation Index

Fetch the complete documentation index at: [/llms.txt](https://developer.mindbridge.ai/llms.txt)

Use this file to discover all available pages before exploring further.

POST

/
v1
/
webhooks

Create Webhook

### cURL

```bash
curl --request POST \
  --url https://{tenant}.mindbridge.ai/api/v1/webhooks \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "url": "<string>",
  "technicalContactId": "<string>",
  "events": []
}
'
```

### Python

```python
import requests

url = "https://{tenant}.mindbridge.ai/api/v1/webhooks"

payload = {
    "name": "<string>",
    "url": "<string>",
    "technicalContactId": "<string>",
    "events": []
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
```

### JavaScript (Fetch)

```javascript
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({name: '<string>', url: '<string>', technicalContactId: '<string>', events: []})
};

fetch('https://{tenant}.mindbridge.ai/api/v1/webhooks', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

### PHP

```php
$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => "https://{tenant}.mindbridge.ai/api/v1/webhooks",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "POST",
  CURLOPT_POSTFIELDS => json_encode([
    'name' => '<string>',
    'url' => '<string>',
    'technicalContactId' => '<string>',
    'events' => [

]
  ]),
  CURLOPT_HTTPHEADER => [
    "Authorization: Bearer <token>",
    "Content-Type: application/json"
  ],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}
```

### Go

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

url := "https://{tenant}.mindbridge.ai/api/v1/webhooks"

payload := strings.NewReader("{\n  \"name\": \"<string>\",\n  \"url\": \"<string>\",\n  \"technicalContactId\": \"<string>\",\n  \"events\": []\n}")

req, _ := http.NewRequest("POST", url, payload)

req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))
}
```

### Java (Unirest)

```java
HttpResponse<String> response = Unirest.post("https://{tenant}.mindbridge.ai/api/v1/webhooks")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"name\": \"<string>\",\n  \"url\": \"<string>\",\n  \"technicalContactId\": \"<string>\",\n  \"events\": []\n}")
  .asString();
```

### Ruby

```ruby
require 'uri'
require 'net/http'

url = URI("https://{tenant}.mindbridge.ai/api/v1/webhooks")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"name\": \"<string>\",\n  \"url\": \"<string>\",\n  \"technicalContactId\": \"<string>\",\n  \"events\": []\n}"

response = http.request(request)
puts response.read_body
```

### Response

```json
{
  "id": "<string>",
  "version": 123,
  "creationDate": "2023-11-07T05:31:56Z",
  "lastModifiedDate": "2023-11-07T05:31:56Z",
  "createdUserInfo": {
    "userId": "<string>",
    "userName": "<string>"
  },
  "lastModifiedUserInfo": {
    "userId": "<string>",
    "userName": "<string>"
  },
  "name": "<string>",
  "url": "<string>",
  "technicalContactId": "<string>",
  "events": [],
  "publicKey": "<string>",
  "keyGenerationTimestamp": "2023-11-07T05:31:56Z"
}
```

### Authorizations

**Authorization**  
string  
header  
required  
Bearer authentication header of the form `Bearer <token>`, where `<token>` is your auth token.

### Body  
**application/json**

- **name**  
  string  
  required  
  The name of the webhook.
  Minimum string length: `1`

- **url**   
  string  
  required  
  The URL to which the webhook will send notifications.
  Minimum string length: `1`

- **technicalContactId**  
  string  
  required  
  A reference to an administrative user used to inform system administrators of issues with the webhooks.

- **events**  
  enum<string>[]  
  required  
  A list of events that will trigger this webhook.
  Required array length: `1 - 2147483647` elements  
  Available options:
  `EXPORT_READY`,
  `FILE_MANAGER_FILE_ADDED`,
  `DATA_ADDED`,
  `INGESTION_COMPLETE`,
  `INGESTION_FAILED`,
  `ANALYSIS_COMPLETE`,
  `ANALYSIS_FAILED`,
  `UNMAPPED_ACCOUNTS`,
  `ENGAGEMENT_CREATED`,
  `ENGAGEMENT_UPDATED`,
  `ENGAGEMENT_DELETED`,
  `ANALYSIS_CREATED`,
  `ANALYSIS_UPDATED`,
  `ANALYSIS_DELETED`,
  `ANALYSIS_ARCHIVED`,
  `ANALYSIS_UNARCHIVED`,
  `USER_INVITED`,
  `USER_STATUS_UPDATED`,
  `USER_ROLE_UPDATED`,
  `USER_DELETED`,
  `USER_LOGIN`

### Response

**201 - application/json**
**Created**

- **id**  
  string  
  The unique object identifier.

- **version**  
  integer<int64>  
  Indicates the data integrity version to ensure data consistency.

- **creationDate**  
  string<date-time>

- **lastModifiedDate**  
  string<date-time>

- **createdUserInfo**  
  User Info · object  
  read-only

- **lastModifiedUserInfo**  
  User Info · object  
  read-only

- **name**  
  string  
  The name of the webhook.

- **url**  
  string  
  The URL to which the webhook will send notifications.

- **technicalContactId**  
  string  
  A reference to an administrative user used to inform system administrators of issues with the webhooks.

- **events**  
  enum<string>[]  
  A list of events that will trigger this webhook.

- **publicKey**  
  string  
  The public key used to verify the webhook signature.

- **status**  
  enum<string>  
  The current status of the webhook.

- **keyGenerationTimestamp**  
  string<date-time>
